package com.caimei365.tools.listener;

import com.alibaba.fastjson.JSONObject;
import com.caimei365.tools.model.dto.message.MessageModel;
import com.caimei365.tools.model.dto.message.MqInfo;
import com.caimei365.tools.service.MessageSender;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
import org.apache.rocketmq.spring.core.RocketMQListener;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Slf4j
@Component
@RocketMQMessageListener(
        topic = "MessageLine",
        // messageModel = MessageModel.BROADCASTING,//指定为广播消费
        // consumeMode = ConsumeMode.ORDERLY, // 指定消费模式为顺序消费，消费的顺序也和发送顺序一致
        // selectorType = SelectorType.TAG,// 如果我们的生产者指定了Tag，但是消费者的selectorExpression没有设置，即用默认的“*”,那么这个消费者也会消费到
        // selectorExpression = "tag",     // 指定了tag后，发送的消息如果不带tag，将会消费不到
        consumerGroup = "message_group")
public class MessageLIne implements RocketMQListener<String> {
    @Resource
    private MessageSender messageSender;

    @Override
    public void onMessage(String model) {
        MessageModel mod = JSONObject.parseObject(model,MessageModel.class);
        //重置mq参数
        mod.mqInfo(new MqInfo());
        messageSender.messageSend(mod);
    }
}
