package com.caimei365.tools.mapper;

import com.caimei365.tools.model.po.CmOrganValueSystemPo;
import com.caimei365.tools.model.po.CmUserPo;
import com.caimei365.tools.model.po.UserOrganPo;
import com.caimei365.tools.model.po.cmOrganActiveSystemPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/10/24
 */
@Mapper
public interface CmOrganValueSystemMapper {
    /**
     * 新增用户
    */
    List<Integer> newAdd();

    /**
     * 活跃用户
     * @return
     */
    List<Integer> active();

    /**
     * 不活跃用户
     * @return
     */
    List<Integer> inactive();

    /**
     * 流失用户
     * @return
     */
    List<Integer> loss();

    /**
     * 回流用户
     * @return
     */
    List<Integer> backflow();

    /**
     * 忠诚用户
     * @return
     */
    List<Integer> loyal();

    /**
     * 沉默用户
     * @return
     */
    List<Integer> silent();

    /**
     * 已添加用户活跃的的机构
     * @return
     */
    List<CmOrganValueSystemPo> getOrganUserId();

    /**
     * 所有的机构
     * @return
     */
    List<CmUserPo> getClubUserId();

    /**
     * 机构登录时间
     * @return
     */
    List<UserOrganPo> getClubLoginTime();

    /**
     * 机构咨询记录数
     * @return
     */
    List<UserOrganPo> getClubRemarks();

    /**
     * 机构半年内子订单数
     * @return
     */
    List<UserOrganPo> getClubShopOrder();

    /**
     * 机构一年内子订单数、需支付金额
     * @return
     */
    UserOrganPo getUserAmount(@Param("userId") Integer userId);

    /**
     * 用户访问数据
     * @return
     */
   List<UserOrganPo> getBehaviorNumber(@Param("userId") Integer userId);

    /**
     * 修改用户价值数据
     */
    void updateOrgan();

    /**
     * 修改用户活跃数据
     */
    void updateOrganActive();

    /**
     * 添加用户活跃
     * @param cmOrganActiveSystemPo
     */
    void insertOrganActive(cmOrganActiveSystemPo cmOrganActiveSystemPo);

    /**
     * 添加用户价值
     * @param organList
     */
    void organBatch(CmOrganValueSystemPo organList);

    /**
     * 修改用户价值
     * @param organList
     */
    void updateOrganBatch(CmOrganValueSystemPo organList);
}
