package com.caimei365.tools.model.po;

import lombok.Data;

import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/11/2
 */
@Data
public class CmBehaviorRecordPo {

    private Integer recordID;
    /**
     * 友站id，1 唯美概念官网
     */
    private Integer partnerId;
    /**
     * 访问人IP地址
     */
    private String IP;
    /**
     * 用户id、0为游客
     */
    private String userId;
    /**
     * 机构Id
     */
    private String clubId;
    /**
     * 供应商Id
     */
    private Integer shopId;
    /**
     * 页面路径
     */
    private String pagePath;
    /**
     * 页面类型
     */
    private Integer pageType;
    /**
     * 页面标签
     */
    private String pageLabel;
    /**
     * 用户行为类型1：用户行为记录、2：ROOS页面统计
     */
    private String behaviorType;
    /**
     * 商品图片
     */
    private String productImage;
    /**
     * 商品ID
     */
    private String productId;
    /**
     * 商品名称
     */
    private String productName;
    /**
     * 访问时间
     */
    private Date accessTime;
    /**
     * 访问时长
     */
    private String accessDuration;
    /**
     * 访问日期
     */
    private String accessDate;
    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;
    /**
     * 浏览器链接
     */
    private String referer;
    /**
     * 访问来源
     */
    private String accessSource;
    /**
     * 访问客户端  0：网站 1：小程序
     */
    private String accessClient;
    /**
     * 是否计算访问时长 0未计算 1已计算
     */
    private String isReckon;
    /**
     * ip所属地
     */
    private String region;
    /**
     * 请求头 userAgent
     */
    private String userAgent;
    /**
     * 删除标记 0否 其余是
     */
    private String delFlag;
    /**
     * 游客编号
     */
    private String touristId;
    /**
     * 小程序openId
     */
    private String openId;
    /**
     * 统计数
     */
    private Integer count;

    /**
     * 最后访问时间
     */
    private String lastAccessTime;
    /**
     * 公司类型
     */
    private String companyType;
    /**
     * 公司名称
     */
    private String corporateName;
    /**
     * 联系人
     */
    private String contacts;
    /**
     * 手机号码
     */
    private String phoneNumber;
    /**
     * 所属协销
     */
    private String spName;
    /**
     * 访问页面数量
     */
    private String number;
    /**
     * 咨询人姓名
     */
    private String consultName;
    /**
     * 咨询手机号码
     */
    private String consultMobile;
    /**
     * 注册时间
     */
    private String addTime;
    /**
     * 关联供应商
     */
    private String relevanceShop;
    /**
     * 标签
     */
    private String label;
    /**
     * 访问页面标签 -- 所有
     */
    private String pageLabels;
    /**
     * 访问页面类型 -- 所有
     */
    private String pageTypes;
    /**
     * 用户注册IP
     */
    private String registerIp;
    /**
     * 机构省份Id
     */
    private Integer provinceId;
    /**
     * 机构市Id
     */
    private Integer cityId;

    /**
     * 记录起始者userId
     *
     */
    private String headUserId;
    /**
     * 商品资料库id
     */
    private String productArchiveId;
}
