package com.caimei365.tools.service.impl;

import com.caimei365.tools.mapper.CmOrganValueSystemMapper;
import com.caimei365.tools.model.po.CmOrganValueSystemPo;
import com.caimei365.tools.model.po.CmUserPo;
import com.caimei365.tools.model.po.UserOrganPo;
import com.caimei365.tools.model.po.cmOrganActiveSystemPo;
import com.caimei365.tools.service.CmOrganValueSystemService;
import lombok.extern.java.Log;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/10/24
 */
@Slf4j
@Service
public class CmOrganValueSystemServiceImpl implements CmOrganValueSystemService {

    @Resource
    private CmOrganValueSystemMapper cmOrganValueSystemMapper;

    /**
     * 用户活跃状态
     */
    @Override
    public void insertOrgan() {
        // 用户信息
        List<CmUserPo> userList = cmOrganValueSystemMapper.getClubUserId();
        // 用户的登录时间
        List<UserOrganPo> clubLoginTime = cmOrganValueSystemMapper.getClubLoginTime();
        // 机构咨询记录数
        List<UserOrganPo> clubRemarks = cmOrganValueSystemMapper.getClubRemarks();
        // 机构半年内子订单数
        List<UserOrganPo> clubShopOrder = cmOrganValueSystemMapper.getClubShopOrder();

        // 修改用户活跃 -- 前一天设置不可用，历史数据
        cmOrganValueSystemMapper.updateOrganActive();
        log.info("用户活跃状态--------------------------------》");
        for (CmUserPo user : userList) {
            // 登录时间
            List<UserOrganPo> loginTime = clubLoginTime.stream().filter(login -> login.getUserId().equals(user.getUserID())).collect(Collectors.toList());
            // 咨询记录
            List<UserOrganPo> clubRemark = clubRemarks.stream().filter(remark -> remark.getClubId().toString().equals(user.getClubID())).collect(Collectors.toList());
            // 子订单数
            List<UserOrganPo> shopOrder = clubShopOrder.stream().filter(shop -> shop.getUserId().equals(user.getUserID())).collect(Collectors.toList());

            cmOrganActiveSystemPo systemPo = new cmOrganActiveSystemPo();
            systemPo.setStage(0);
            systemPo.setDelType(1);
            if ((null != loginTime &&  loginTime.size() > 0)|| (null != shopOrder &&  shopOrder.size() > 0)) {
                if ( null != clubRemark &&  clubRemark.size() > 0 ) {
                    UserOrganPo organ = clubRemark.get(0);
                    if (organ.getSituation() == 0) {
                        systemPo.setActiveState("活跃用户");
                        systemPo.setActiveStatus(0);
                    } else {
                        systemPo.setActiveState("不活跃用户");
                        systemPo.setActiveStatus(1);
                    }
                } else {
                    systemPo.setActiveState("活跃用户");
                    systemPo.setActiveStatus(0);
                }
            } else {
                systemPo.setActiveState("不活跃用户");
                systemPo.setActiveStatus(1);
            }
            // 添加
            systemPo.setUserId(user.getUserID());
            cmOrganValueSystemMapper.insertOrganActive(systemPo);
        }
    }

    /**
     * 用户价值
     */
    @Override
    public void insertcustomer() {
        log.info("用户价值--------------------------------》");
        // 修改上阶段数据
        cmOrganValueSystemMapper.updateOrgan();
        // 用户信息
        List<CmUserPo> userList = cmOrganValueSystemMapper.getClubUserId();
        for (CmUserPo user : userList) {

            // 用户应支付金额
            UserOrganPo userAmount = cmOrganValueSystemMapper.getUserAmount(user.getUserID());
            // 用户访问数据
            List<UserOrganPo> behaviorNumber = cmOrganValueSystemMapper.getBehaviorNumber(user.getUserID());
            Integer number = 0;
            if (null != behaviorNumber && behaviorNumber.size() > 0) {
                number = behaviorNumber.size() / 12;
            }
            CmOrganValueSystemPo systemPo = new CmOrganValueSystemPo();
            systemPo.setStage(0);
            systemPo.setDelType(1);
            if (null != userAmount) {
                if (null != userAmount.getShopOrderNumber() && userAmount.getShopOrderNumber() >= 5) {
                    systemPo.setCustomerValue("高价值客户");
                    systemPo.setCustomerStatus(0);
                } else if ((null != userAmount.getShopOrderNumber() && userAmount.getShopOrderNumber() < 5) && userAmount.getAmount() > 50000d) {
                    systemPo.setCustomerValue("一般价值客户");
                    systemPo.setCustomerStatus(1);
                } else if ((null != userAmount.getShopOrderNumber() && userAmount.getShopOrderNumber() < 5) && userAmount.getAmount() > 50000d && number > 1) {
                    systemPo.setCustomerValue("潜在价值客户");
                    systemPo.setCustomerStatus(2);
                } else  {
                    systemPo.setCustomerValue("低价值客户");
                    systemPo.setCustomerStatus(3);
                }
            } else {
                systemPo.setCustomerValue("低价值客户");
                systemPo.setCustomerStatus(3);
            }
            // 添加
            systemPo.setUserId(user.getUserID());
            cmOrganValueSystemMapper.organBatch(systemPo);
        }
    }
}
