package com.caimei365.tools.task;

import com.caimei365.tools.service.CmRepurchaseFrequencyService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import javax.annotation.Resource;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/10/25
 */
@Slf4j
@Configuration
@EnableScheduling
@RequiredArgsConstructor
public class CmRepurchaseFrequencyTask {

    @Resource private CmRepurchaseFrequencyService cmRepurchaseFrequencyService;

    /**
     * 每月最后一天23.50更新复购率
     */
    @Scheduled(cron = "0 50 23 L * ?")
    public void organData(){
        cmRepurchaseFrequencyService.insertRepurchase();
    }
}
