package com.caimei365.tools.utils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.URL;
import java.net.URLConnection;

/**
 * www静态页面生成utils
 *
 * @author : Charles
 * @date : 2021/5/10
 */
@Component
public class GenerateUtils {

	protected Logger logger = LoggerFactory.getLogger(getClass());

    /**
     * 百度链接实时推送
     */
    public void pushBaiduLink(String param) {
        String result = "";
        PrintWriter out = null;
        BufferedReader in = null;
        try {
            //建立URL之间的连接
            URLConnection conn = new URL("http://data.zz.baidu.com/urls?site=https://www.caimei365.com&token=EdD7WZYXWnS8ZoHf").openConnection();
            // 设置通用的请求属性
            conn.setRequestProperty("User-Agent", "curl/7.12.1");
            conn.setRequestProperty("Host", "data.zz.baidu.com");
            conn.setRequestProperty("Content-Type", "text/plain");
            conn.setRequestProperty("Content-Length", "83");
            //发送POST请求必须设置如下两行
            conn.setDoInput(true);
            conn.setDoOutput(true);
            //获取conn对应的输出流
            out = new PrintWriter(conn.getOutputStream());
            //发送请求参数
            out.print(param.trim());
            //进行输出流的缓冲
            out.flush();
            //通过BufferedReader输入流来读取Url的响应
            in = new BufferedReader(new InputStreamReader(conn.getInputStream()));
            String line;
            while((line=in.readLine()) != null){
                result += line;
            }
        } catch (Exception e) {
            logger.info("百度链接实时推送出现异常！" + e);
        } finally {
            try{
                if(out != null) {
                    out.close();
                }
                if(in != null) {
                    in.close();
                }
            } catch(IOException ex) {
                ex.printStackTrace();
                logger.info("百度链接实时推送关闭连接异常！" + ex);
            }
        }
        logger.info("百度链接实时推送："+result);
    }
}
